Bug 489447 - md: pass down BIO_RW_SYNC in raid{1,10}' applied to RHEL5 kernel
md: pass down BIO_RW_SYNC in raid{1,10}' applied to RHEL5 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jes Sorensen
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 02:47 EDT by Tuomo Soini
Modified: 2012-05-31 04:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 467829
Environment:
Last Closed: 2012-05-31 04:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2009-03-10 02:47:02 EDT
+++ This bug was initially created as a clone of Bug #467829 +++

Description of problem:

According  http://www.mail-archive.com/linux-raid@vger.kernel.org/msg06778.html the patch would fix several performance issues on RHEL4 with RAID1 and RAID10. A customer need this patch backported to the RHEL4 kernel.

Version-Release number of selected component (if applicable):

kernel-2.6.9-78.EL.src.rpm

--- Additional comment from wmealing@redhat.com on 2008-10-21 18:13:57 EDT ---

Created an attachment (id=321097)
patch
Comment 1 Tuomo Soini 2009-03-10 02:47:46 EDT
This same problem is with rhel 5.3 kernel 2.6.18-128.el5.
Comment 2 Tuomo Soini 2009-05-15 08:20:10 EDT
Original patch seem to work stable with kernel 2.6.18-128.1.10.el5
Comment 3 Jes Sorensen 2012-05-08 10:14:05 EDT
Sorry, this bug slipped through the cracks.

Is this still an issue that needs to be addressed in RHEL5, or can we
close it? The fix in question should be in RHEL6.

Thanks,
Jes
Comment 4 Jes Sorensen 2012-05-31 04:56:58 EDT
Closing - if you see again, please reopen.

Note You need to log in before you can comment on or make changes to this bug.